import java.io.*;  
import java.util.*;  
import java.sql.*;  
/**  
  * @version  November 2002
  * @author   Bjrk Busch
*/  

public class Varesalg implements Serializable
{  

  private   Timestamp      dato;
  private   double         kvantum;
  private   double         pris;
  private   Vare           vare;
  private   Kunde          kunde;

  // Constructor til at oprette object
  public   Varesalg ( Timestamp      dato,
                      double         kvantum,
                      double         pris,
                      Vare           vare,
                      Kunde          kunde )
  {
    this.dato    = (Timestamp)dato.clone();
    this.kvantum = kvantum;
    this.pris    = pris;
    this.vare    = vare;
    this.kunde   = kunde;
  }

  //------- getmetoder
  public   Timestamp  getDato ( )      {  return  (Timestamp)this.dato.clone();   }
  public   double     getKvantum ( )   {  return  this.kvantum;        }
  public   double     getPris ( )      {  return  this.pris;           }

  public    String   toString()
  {
    return ("" + getDato ( )
            + ","+ getKvantum ( )
            + ","+ getPris ( )
            );
  }

  //------- ekstra metoder
  public   Vare   getVare ( )          {  return  this.vare;   }
  public   Kunde  getKunde ( )         {  return  this.kunde;  }

  public   void  sletVaresalgData ( )
  {
    // ikke realiseret endnu
  }


}
