import java.io.*;  
import java.sql.*;
import java.util.*;
/**  
  * Klassen til hndtering af Varesalgssystem-Objekter
  * @version  November 2002, Februar 2004
  * @author   Bjrk Busch
*/  

public class VaresalgsSystem implements Serializable
{
  private Vector   kundeVector = new Vector();
  private Vector   vareVector  = new Vector();

  public  Kunde  opretKunde ( String  navn,
                                     String  gade,
                                     int     postnr,
                                     String  by, 
                                     String  tlf )
  {
    Kunde  kunde = new Kunde  (navn, gade, postnr, by, tlf );
    kundeVector.add(kunde);
    return kunde;
  }
  public    int  getAntalKunder ()
  {
    return kundeVector.size();
  }
  public    Kunde   getKunde ( int index )
  {
    return  (Kunde)kundeVector.get(index);   
  }
  public   Iterator  getKundeIterator ()
  {
    return kundeVector.iterator();
  }

  public   void  sletKunde ()
  {
    // ikke realiseret
  }



  public  Vare  opretVare ( String         betegnelse,
                                   String         enhed,
                                   double         aktuelSalgspris,
                                   Timestamp      iSortimentDato )
  {
    Vare  vare = new Vare  (betegnelse, enhed, aktuelSalgspris, iSortimentDato );
    vareVector.add(vare);
    return vare;
  }


  public    int  getAntalVarer ()
  {
    return vareVector.size();
  }
  public    Vare   getVare ( int index )
  {
    return   (Vare)vareVector.get(index);   
  }
  public   Iterator  getVareIterator ()
  {
    return vareVector.iterator();
  }
  
  public   void  sletVare ()
  {
    // ikke realiseret
  }
}